Subject: Re: Br. M Middleton'81
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked],
Date: Sat, 20 Oct 2001 07:24:05 -0700 (PDT)

On a serious note, I got a call from Larry this past week and he told me that Lee Christie's mom past away last Sunday. She was only 61.  I've been playing phone tag with Lee to see how he's doing.  
I don't think he has e-mail either or you could send him a note. Lee doesn't believe in the new technology.   
If any of you on this list have other Phi's e-mail addresses send them to me and I'll compile a master list.  We can trash talk all we want.  
Bubba